gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ListBoxAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ListBoxAccessible = ListBoxAccessible (ManagedPtr ListBoxAccessible)
- class (GObject o, IsDescendantOf ListBoxAccessible o) => IsListBoxAccessible o
- toListBoxAccessible :: (MonadIO m, IsListBoxAccessible o) => o -> m ListBoxAccessible

# Exported types

newtype ListBoxAccessible Source #

Memory-managed wrapper type.

Constructors

ListBoxAccessible (ManagedPtr ListBoxAccessible) |

#### Instances

Instances details

Eq ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible Methods (==) :: ListBoxAccessible -> ListBoxAccessible -> Bool Source # (/=) :: ListBoxAccessible -> ListBoxAccessible -> Bool Source #
GObject ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible
ManagedPtrNewtype ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible Methods toManagedPtr :: ListBoxAccessible -> ManagedPtr ListBoxAccessible Source #
TypedObject ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible Methods glibType :: IO GType Source #
HasParentTypes ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible
IsGValue (Maybe ListBoxAccessible) Source # | Convert `ListBoxAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ListBoxAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ListBoxAccessible) Source #
type ParentTypes ListBoxAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible type ParentTypes ListBoxAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf ListBoxAccessible o) => IsListBoxAccessible o Source #

Type class for types which can be safely cast to `ListBoxAccessible`, for instance with `toListBoxAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ListBoxAccessible o) => IsListBoxAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ListBoxAccessible

toListBoxAccessible :: (MonadIO m, IsListBoxAccessible o) => o -> m ListBoxAccessible Source #

Cast to `ListBoxAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.